Bug 9698 - /var/run/ppp-logicaldevice.dev not deleted
Summary: /var/run/ppp-logicaldevice.dev not deleted
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-22 23:36 UTC by Russell Stuart
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-09 23:57:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Russell Stuart 2000-02-22 23:36:50 UTC
When a ppp connection starts /etc/ppp/ip-up creates a file
called /var/run/ppp-logical-device.dev which contains the interface device
name of the ppp link.

This file is never deleted.  It should be cleaned up by /etc/ppp/ip-down.
This can be done by adding this line (which is an overkill but anyway):

[ ".$(cat /var/run/ppp-${LOGDEVICE}.dev)" = ".$REALDEVICE" ] &&
rm /var/run/ppp-${LOGDEVICE}.dev

Comment 1 Nalin Dahyabhai 2000-03-09 23:57:59 UTC
Is this still the case with the initscripts package from Raw Hide?  There's no
mention of this file in our latest build tree.

Comment 2 Bill Nottingham 2000-06-10 23:45:46 UTC
 closed, lack of input.


Note You need to log in before you can comment on or make changes to this bug.